package com.bonus.common.core.utils;

import lombok.Data;
import org.apache.commons.lang3.ObjectUtils;

/**
 * 人脸识别 状态码
 */
@Data
public class FaceCodeUtil {

    /**
     * 新增
     */
    public final static  String ADD="add";
    /**
     * 刷新
     */
    public final static  String UPDATE="replace";

    /**
     * 删除
     */
    public final static  String DEL="delete";

    /**
     * 已知个体的人脸识别
     */
    public final static  int code_00=30000;
    /**
     * 未知个体的人脸识别
     */
    public final static  int code_01=30001;
    /**
     * 操作成功
     */
    public final static  int code_02=30002;
    /**
     * 没有找到人脸数据库
     */
    public final static  int code_03=30003;
    /**
     * 30004
     */
    public final static  int code_04=30004;
    /**
     * 文件后缀无效
     */
    public final static  int code_05=30005;

    /**
     * 不支持的输入文件类型
     */
    public final static  int code_06=30006;
    /**
     * 不支持的数据库更新类型
     */
    public final static  int code_07=30007;
    /**
     *图像中发现多张人脸
     */
    public final static  int code_08=30008;
    /**
     * 30009
     */
    public final static  int code_09=30009;
    /**
     * 人脸部分在画面外，向左或向右移动
     */
    public final static  int code_10=30010;
    /**
     * 人脸部分在画面外，向上或向下移动
     */
    public final static  int code_11=30011;
    /**
     * 图像中人脸向右旋
     */
    public final static  int code_12=30012;
    /**
     * 图像中人脸向左旋转
     */
    public final static  int code_13=30013;
    /**
     * 图像中人脸向上旋转
     */
    public final static  int code_14=30014;
    /**
     * 图像中人脸向下旋转
     */
    public final static  int code_15=30015;

    /**
     * 图像中人脸分辨率低
     */
    public final static  int code_16=30016;

    /**
     *图像中人脸清晰度差
     */
    public final static  int code_17=30017;
    /**
     *图像中未检测到人脸
     */
    public final static  int code_18=30018;
    /**
     * 身份已存在;
     */
    public final static  int code_19=30019;


    public  static String  getCodeString(Object obj){
        if(ObjectUtils.isEmpty(obj)){
            return "编码不存在";
        }
        int  code=Integer.parseInt(obj.toString());
        switch (code){
            case code_00:
                return "已知个体的人脸识别";
            case code_01:
                return "未知个体的人脸识别";
            case code_02:
                return "图像处理成功";
            case code_03:
                return "没有找到人脸数据库";
            case code_04:
                return "文件路径无效";
            case code_05:
                return "文件后缀无效!";
            case code_06:
                return "不支持的输入文件类型!";
            case code_07:
                return "不支持的数据库更新类型!";
            case code_08:
                return "图像中发现多张人脸!";
            case code_09:
                return "光照条件差影响图像质量!";
            case code_10:
                return "人脸部分在画面外，向左或向右移动!";
            case code_11:
                return "人脸部分在画面外，向上或向下移动!";
            case code_12:
                return "图像中人脸向右旋转!";
            case code_13:
                return "图像中人脸向左旋转!";
            case code_14:
                return "图像中人脸向上旋转!";
            case code_15:
                return "图像中人脸向下旋转!";
            case code_16:
                return "图像中人脸分辨率低!";
            case code_17:
                return "图像中人脸清晰度差!";
            case code_18:
                return "图像中未检测到人脸!";
            case code_19:
                return "身份已存在!";
            default:
                return "人脸识别编码不存在,请联系郭乾坤!";
        }


    }









}
